<ul reversed class="postlist" style="counter-reset: start-from {{ postslist.length + 1 }}">
{% for post in postslist | reverse %}
  {% set author = authors[post.data.author] %}
  <li class="postlist-item{% if post.url == url %} postlist-item-active{% endif %}">
    <div class="post-image">
        <a href="{{ post.url | url }}" >
          <img src="{{ post.data.image }}" alt="{{ post.data.title }}" />
        </a>
    </div>
    
    <h1>
        <a href="{{ post.url | url }}" class="postlist-link">{% if post.data.title %}{{ post.data.title }}{% else %}<code>{{ post.url }}</code>{% endif %}</a>
    </h1>
    <div class="desc">
        {{post.data.desc | safe}}
     </div>
    <time class="postlist-date" datetime="{{ post.date | htmlDateString }}">{{ post.date | readableDate }}</time>
     {% for tag in post.data.tags %}
      {%- if tag != "post" -%}
      {% set tagUrl %}/tags/{{ tag }}/{% endset %}
      <a href="{{ tagUrl | url }}" class="tag">{{ tag }}</a>
      {%- endif -%}
    {% endfor %}
  </li>
{% endfor %}
</ul>
